﻿@using SportsClub.Areas.Dashboard.Models
@model EditOrderViewModel
@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" ng-click="back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1 ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                Cancel/Edit Order
            </h1>
            <h1 ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                Edit Order
            </h1>
        </div>

        <div class="actions">
            @* <a ui-sref="InviteUser" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new program">
                     <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
                </a>*@
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <nav class="step-navigator breadcrumbs edit-order">
        <ul>
            <li ng-class="{'active': Model.PageStep == 'OrderDetail', 'done':Model.PageStep == 'PaymentPlan' || Model.PageStep == 'Review' }">
                <a ng-click="Model.PageStep = 'OrderDetail'">
                    Order detail
                </a>
            </li>
            <li ng-class="{'active': Model.PageStep == 'PaymentPlan', 'done': Model.PageStep == 'Review' }" ng-disabled="true">
                <a class="ng-isolate-scope" ng-click="!cancelMode()? Model.PageStep = 'PaymentPlan': return;">
                    Payment plan
                </a>
            </li>

            <li class="last" ng-class="{'active': Model.PageStep == 'Review'}">
                <a class=" ng-isolate-scope" ng-click="isInstallmentsEqualsTotal()? Model.PageStep = 'Review': return;">
                    <i class="icon-checkmark"></i>
                </a>
            </li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
            <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
        </ul>
    </nav>

    <div class="margin-bottom20 transfer-overview text-center place-righ full-width">
        <div class="place-left one-fifth">
            <b>Order amount</b>
            <i id="orderAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>New amount</b>
            <i id="newAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Paid amount</b>
            <i id="paidAmount"></i>
        </div>
        <div class="place-left one-fifth">
            <b>Difference</b>
            <i id="difference"></i>
        </div>
        <div class="place-left one-fifth" ng-class="{'fg-green': calculateBalance()<0,'fg-red': calculateBalance() > 0 }">
            <b>Remaining balance</b>
            <i id="remaining"></i>
        </div>
    </div>

    <div class="clearfix"></div>

    <div class="orderitem-profile place-left full-width margin-bottom20">
        <div>
            <div class="avatar-box">
                <i ng-class="{'jbi-user-male':Model.Gender == 'Male', 'jbi-user-female': Model.Gender == 'Female','jbi-user-male':Model.Gender ===null}"></i>
            </div>
            <div class="info-box">
                <h2 class="name ellipsis"><span ng-bind="Model.PlayerName">Participant Name</span> - <span ng-bind="Model.ConfirmationId"></span></h2>
                <p class="desc">{{Model.Gender}}<span ng-if="Model.Age != 0">| {{Model.Age}} </span> <span ng-if="Model.Grade">| Grade {{Model.Grade}}</span></p>
            </div>
        </div>
    </div>
    <div ng-if="Model.PageStep == 'OrderDetail'">

        <table class="table menue-table" ng-if="Model.OrderChargeDiscounts.length > 0">
            <colgroup>
                <col />
                <col width="280" />
                <col width="400" />
            </colgroup>
            <thead>
                <tr>
                    <th class="text-left">Item</th>
                    <th class="text-left">Amount</th>
                    <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'"></td>
                    <th class="text-right" style="padding-right:22px;white-space:nowrap;">Actions</th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | orderBy:sortByTuition">
                    <td ng-class="{'line-through' : !chargeDiscount.Checked}" style="width: 200px !important;">
                        <span ng-if="chargeDiscount.Category == 'EntryFee'">
                            {{Model.ProgramName}}
                        </span>
                        <span ng-if="chargeDiscount.Category != 'EntryFee' && chargeDiscount.Category != 'CustomDiscount' && chargeDiscount.Category != 'CustomCharge'">
                            {{chargeDiscount.Name}}
                        </span>
                        <span ng-if="chargeDiscount.Category != 'EntryFee' && !chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge') ">
                            {{chargeDiscount.Name}}
                        </span>
                        <div ng-if="chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge')" class="input-control text price" data-role="input-control">
                            <input type="text" ng-model="chargeDiscount.Name" />
                        </div>
                        <span ng-if="chargeDiscount.Category != 'CustomDiscount' && chargeDiscount.Category != 'CustomCharge'">
                            <span ng-if="chargeDiscount.SubCategory == 'Discount' && chargeDiscount.Category != 'Coupon'" style="text-decoration: inherit;" class="label success">Discount</span>
                            <span ng-if="chargeDiscount.SubCategory == 'Discount' &&  chargeDiscount.Category == 'Coupon'" style="text-decoration: inherit;" class="label success">Coupon</span>
                            <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Type != null && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">{{chargeDiscount.Type}}</span>
                            <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Type == null  && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">Service</span>
                        </span>
                        <span ng-if="!chargeDiscount.EditMode && (chargeDiscount.Category == 'CustomDiscount' || chargeDiscount.Category == 'CustomCharge')">
                            <span ng-if="chargeDiscount.SubCategory == 'Discount'" style="text-decoration: inherit;" class="label success">Discount</span>
                            <span ng-if="chargeDiscount.SubCategory == 'Charge'" style="text-decoration: inherit;" class="label info">Service</span>
                        </span>
                    </td>
                    <td>
                        <span ng-if="!chargeDiscount.EditMode">{{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}</span>
                        <div ng-if="chargeDiscount.EditMode" class="input-control text price" data-sign="$" data-role="input-control">
                            <input type="text" ng-model="chargeDiscount.Amount" ng-blur="chargeDiscount.Amount = (Number(chargeDiscount.Amount) || 0)" />
                        </div>
                    </td>
                    <td ng-show="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                        <div ng-if="!chargeDiscount.EditMode">
                            <button class="btn" ng-click="editItem(chargeDiscount);" ng-if="chargeDiscount.Checked">Manually adjust</button>
                            <button class="btn" ng-show="chargeDiscount.Category!='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id)">Remove</button>
                            <button class="btn" ng-show="chargeDiscount.Category!='EntryFee'  && !chargeDiscount.Checked && !cancelMode()" ng-click="addChargeDiscount(chargeDiscount.Id)">Add</button>
                            <button class="btn" ng-show="chargeDiscount.Category=='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id)">Cancel entire order</button>
                            <button class="btn" ng-show="chargeDiscount.Category=='EntryFee' && !chargeDiscount.Checked" ng-click="addChargeDiscount(chargeDiscount.Id)">Add</button>
                        </div>
                        <div ng-if="chargeDiscount.EditMode">
                            <button class="btn success" ng-click="chargeDiscount.Amount < 0 ? chargeDiscount.Amount = 0 : chargeDiscount.EditMode = !chargeDiscount.EditMode">Save</button>
                            <button class="btn" ng-if="chargeDiscount.Checked" ng-click="cancelEditItem(chargeDiscount)">Cancel</button>
                        </div>
                    </td>
                    <td ng-show="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                        <div ng-if="chargeDiscount.EditMode">
                            <button class="btn success" ng-click="chargeDiscount.Amount < 0 ? chargeDiscount.Amount = 0 : chargeDiscount.EditMode = !chargeDiscount.EditMode">Save</button>
                            <button class="btn" ng-if="chargeDiscount.Checked" ng-click="cancelEditItem(chargeDiscount)">Cancel</button>
                        </div>
                    </td>
                    <td ng-show="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                        <div ng-if="!installment.EditMode">
                            <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                    <span style="font-size:18px;font-weight:900;font-family:Arial">
                                        ...
                                    </span>
                                    <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                        <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                            <li ng-click="editItem(chargeDiscount);" ng-if="!chargeDiscount.EditMode && chargeDiscount.Checked" class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Manually adjust amount</span>
                                            </li>
                                            <li ng-click="removeChargeDiscount(chargeDiscount.Id)" ng-if="!chargeDiscount.EditMode && chargeDiscount.Checked && Model.Mode =='PunchCard'" class="k-item k-state-default k-first" role="menuitem">
                                                <span class="k-link ">Cancel entire order</span>
                                            </li>
                                            <li ng-show="!chargeDiscount.EditMode && chargeDiscount.Category!='EntryFee' && chargeDiscount.Checked" ng-click="removeChargeDiscount(chargeDiscount.Id)" class="k-item k-state-default" role="menuitem">
                                                <span class="k-link ">Remove</span>
                                            </li>
                                            <li ng-show="!chargeDiscount.EditMode && chargeDiscount.Category!='EntryFee'  && !chargeDiscount.Checked && !cancelMode()" ng-click="addChargeDiscount(chargeDiscount.Id)" class="k-item k-state-default" role="menuitem">
                                                <span class="k-link ">Add</span>
                                            </li>
                                            <li ng-show="!chargeDiscount.EditMode && chargeDiscount.Category=='EntryFee' && !chargeDiscount.Checked" ng-click="addChargeDiscount(chargeDiscount.Id)" class="k-item k-state-default" role="menuitem">
                                                <span class="k-link">Add</span>
                                            </li>
                                        </ul>
                                    </div>
                                </li>
                            </ul>
                        </div>


                    </td>
                </tr>
            </tbody>
        </table>

        <div class="clearfix">
            <label ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && !IsCanceled">Edit fee</label>
            <div ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && !IsCanceled" class="input-control text price place-left span6" data-role="input-control" data-sign="$">
                <input ng-model="Model.EditFee" type="number"  @Html.AngTooltipValidationFor(model => model.EditFee) />
            </div>

            <label ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && IsCanceled">Cancellation fee</label>
            <div ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && IsCanceled" class="input-control text price place-left span6" data-role="input-control" data-sign="$">
                <input ng-model="Model.CancellationFee" type="number"  />
            </div>
            <br />
            <div class="clearfix"></div>
            <label ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && IsCanceled">Prorate fee</label>
            <div ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare' && IsCanceled" class="input-control text price place-left span6" data-role="input-control" data-sign="$">
                <input ng-model="Model.ProrateFee" type="number" />
            </div>
            <br />
            <div class="clearfix"></div>

            <label>Memo</label>
            <div class="input-control textarea">
                <textarea class="span6" ng-model="Model.CancelEditMemo"></textarea>
            </div>

        </div>
        </div>

    <div ng-if="Model.PageStep == 'PaymentPlan'">

        <div ng-if="!Model.HasInstallment &&  Model.ProgramType != 'BeforeAfterCare'">
            This order has no installments.
        </div>
        <div ng-if=" Model.ProgramType == 'BeforeAfterCare' && Model.Mode =='PunchCard'">
            This order has no installments.
        </div>

        <div ng-if="Model.HasInstallment">
            <span style="color:blue" ng-show="Model.IsAutoCharge">The installments are set as auto charge.</span>

            <button title="Automatically apply the amount difference among the installments." class="info place-right margin-bottom15" ng-if="isApplyAutomatic && Model.PaymentPlanType == 'Installment' && (Model.ProgramType == 'BeforeAfterCare' || Model.ProgramType == 'Subscription')" ng-click="ApplyAutomaticChargeDiscount()">Auto adjust</button>
            <button class="info place-right margin-bottom15" ng-if="!isApplyAutomatic && Model.PaymentPlanType == 'Installment' && (Model.ProgramType == 'BeforeAfterCare' || Model.ProgramType == 'Subscription')" ng-click="UndoApplayAmount()">Undo auto adjust</button>

            <table class="table table-bordered margin-top20 menue-table">
                <thead>
                    <tr>
                        <td class="text-bold" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">Schedule dates</td>
                        <td class="text-bold">Due date</td>
                        <td class="text-bold">Amount</td>
                        <td class="text-bold">Paid amount</td>
                        <td class="text-bold">Last paid date</td>
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'"></td>
                        <td class="text-bold text-right" style="padding-right:22px;white-space:nowrap;">Actions</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="installment in Model.OrderInstallments  | orderBy: {IsDeposit: true}" ng-init="sbIndex = $index">
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'" ng-class="{'line-through' :installment.WasDeleted || installment.IsDeletedSessions || installment.IsDeletedNormalItem }">
                            <span ng-show="installment.Type != 'AddOn'">{{formatDate(installment.Schedule.StartDate)}} - {{formatDate(installment.Schedule.EndDate)}} </span>
                            <span ng-show="installment.Type == 'AddOn'">{{installment.Description}}</span>
                        </td>
                        <td ng-class="{'line-through' :installment.IsDeleted }">
                            <div ng-if="!installment.EditMode">
                                {{formatDate(installment.DueDate)}} <span ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">{{installment.Description}}</span>
                            </div>
                            <div ng-if="installment.EditMode">
                                <input k-options="MC.datePickerOptions" kendo-date-picker type="text" style="width: 173px;" ng-model="installment.DueDate">
                            </div>
                        </td>
                        <td>
                            <div ng-if="!installment.EditMode">
                                <span ng-show="installment.OldAmountBeforeEdit != installment.Amount" ng-class="{'line-through': installment.OldAmountBeforeEdit != installment.Amount}">{{installment.OldAmountBeforeEdit.formatCurrencyWithPenny(2)}}</span>  {{installment.Amount.formatCurrencyWithPenny(2)}}
                            </div>
                            <div ng-if="installment.EditMode" class="input-control text price" data-sign="$" data-role="input-control" @Html.AngValidationClass("OrderInstallments['+sbIndex+'].Amount")>
                                <input type="text" ng-model="installment.Amount" @Html.AngTooltipValidation("OrderInstallments['+sbIndex+'].Amount") />
                            </div>
                        </td>
                        <td>
                            <div ng-if="installment.HasTransaction">
                                {{installment.PaidAmount.formatCurrencyWithPenny(2)}}
                            </div>
                        </td>
                        <td>
                            {{installment.PaidDate}}
                        </td>
                        <td ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                            <div ng-if="installment.EditMode">
                                <button class="btn success" ng-if="installment.EditMode" ng-click="saveInstallment(installment)">Save</button>
                                <button class="btn" ng-click="cancelInstallmentItem(installment)">Cancel</button>
                            </div>
                            <div ng-if="!installment.EditMode">
                                <button class="btn" ng-if="!installment.IsDeleted" ng-click="editInstallmentItem(installment)">Edit</button>
                                <button class="btn" ng-show="installment.HasTransaction" ng-click="showInstallmentDetail(installment.Id)">Details</button>
                                <button class="btn" ng-click="removeInstallmentItem(installment)" ng-if="!installment.HasTransaction && !installment.IsDeleted">Remove</button>
                            </div>
                        </td>
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                            <div ng-if="installment.EditMode">
                                <button class="btn success" ng-if="installment.EditMode" ng-click="saveInstallment(installment)">Save</button>
                                <button class="btn" ng-click="cancelInstallmentItem(installment)">Cancel</button>
                            </div>
                        </td>
                        <td role="gridcell" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">
                            <div ng-if="!installment.EditMode">
                                <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                    <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                        <span style="font-size:18px;font-weight:900;font-family:Arial">
                                            ...
                                        </span>
                                        <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                            <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                                <li ng-click="editInstallmentItem(installment)" ng-show="!installment.WasDeleted && !installment.IsDeletedNormalItem && !installment.IsDeletedSessions" class="k-item k-state-default k-first" role="menuitem">
                                                    <span class="k-link ">Edit</span>
                                                </li>
                                                <li ng-show="installment.HasTransaction && !installment.WasDeleted && !installment.IsDeletedNormalItem && !installment.IsDeletedSessions" ng-click="showInstallmentDetail(installment.Id)" class="k-item k-state-default" role="menuitem">
                                                    <span class="k-link ">Details</span>
                                                </li>
                                                <li ng-show="!installment.HasTransaction &&!installment.WasDeleted && !installment.IsDeletedNormalItem && !installment.IsDeletedSessions && installment.Type=='AddOn'" ng-click="removeInstallmentSubscriptionItem(installment,false)" class="k-item k-state-default" role="menuitem">
                                                    <span class="k-link ">Remove</span>
                                                </li>
                                                <li ng-show="installment.WasDeleted && installment.DeleteReason=='NormalDelete' || installment.IsDeletedNormalItem" ng-click="activeInstallment(installment)" class="k-item k-state-default k-last" role="menuitem">
                                                    <span class="k-link">Undo</span>
                                                </li>
                                                <li ng-click="removeInstallmentSubscriptionItem(installment,true)" ng-if="!installment.HasTransaction && !installment.WasDeleted && !installment.IsDeletedNormalItem && !installment.IsDeletedSessions && installment.Description !='(Add-on charges)'" class="k-item k-state-default" role="menuitem">
                                                    <span class="k-link">Delete installment and sessions</span>
                                                </li>
                                                <li ng-show="installment.WasDeleted && installment.DeleteReason=='SessionDelete' || installment.IsDeletedSessions" ng-click="activeInstallmentAndSessions(installment)" class="k-item k-state-default k-last" role="menuitem">
                                                    <span class="k-link">Restore installment and sessions</span>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="margin-top20" ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                <div class="one-half place-left padding-right20">
                    <label>Due date</label>
                    <div class="input-control date-time" data-role="input-control">
                        <input k-options="MC.datePickerOptions2" kendo-date-picker ng-blur="MC.dateTimePickerClose($event)" ng-click="MC.dateTimePickerOpen($event)" data-role="datepicker" type="text" ng-model="Model._dueDate" />
                    </div>
                </div>
                <div class="one-half place-left">
                    <label>Amount</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control">
                        <input type="text" ng-model="Model._amount" />
                    </div>
                </div>
                <button class="place-right" ng-click="addNewInstallment()">Add new installment</button>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-if="Model.PageStep == 'PaymentPlan' && Model.PaymentPlanType == 'FullPaid' && Model.ProgramType == 'BeforeAfterCare' && Model.Mode !='PunchCard'">
        <div>
            <table class="table table-bordered margin-top20 menue-table">
                <thead>
                    <tr>
                        <td class="text-bold">Schedule dates</td>
                        <td class="text-bold text-right" style="padding-right:22px;white-space:nowrap;">Actions</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="schedulePart in Model.OrderItemScheduleParts">
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'" ng-class="{'line-through' : schedulePart.WasDeleted || schedulePart.IsDeleted}">
                            <span>{{formatDate(schedulePart.StartDate)}} - {{formatDate(schedulePart.EndDate)}} </span>
                        </td>

                        <td role="gridcell">
                            <div>
                                <ul class="k-arrow-less" kendo-menu="" style="display: inline-block;" k-direction="'left'" k-orientation="'horizontal'" k-rebind="'horizontal'" k-on-select="" data-role="menu">
                                    <li class="k-item k-state-default" role="menuitem" style="z-index: auto;">
                                        <span style="font-size:18px;font-weight:900;font-family:Arial">
                                            ...
                                        </span>
                                        <div class="k-animation-container" style="width: 192px; height: 156px; margin-left: -2px; padding-left: 2px; padding-right: 2px; padding-bottom: 4px; overflow: hidden; display: none; position: absolute; z-index: 10002; top: 0px; left: -196px; box-sizing: content-box;">
                                            <ul class="k-group k-menu-group k-popup k-reset" role="menu" data-role="popup" style="max-height: 462px; overflow: auto; display: none; position: absolute; font-size: 14.6667px; font-family: Segoe UI, Open Sans, Verdana, Arial, Helvetica, sans-serif; font-stretch: normal; font-style: normal; font-weight: normal; line-height: 20px; transform: translateX(192px);" aria-hidden="true">
                                                <li ng-click="deletePaidInFullSchedulePart(schedulePart)" ng-if="!schedulePart.HasTransaction && !schedulePart.IsDeleted" class="k-item k-state-default" role="menuitem">
                                                    <span class="k-link">Remove</span>
                                                </li>
                                                <li ng-if="schedulePart.IsDeleted" ng-click="activePaidInFullSchedulePart(schedulePart)" class="k-item k-state-default k-last" role="menuitem">
                                                    <span class="k-link">Undo</span>
                                                </li>
                                            </ul>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>

            <div class="margin-top20" ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">
                <div class="one-half place-left padding-right20">
                    <label>Due date</label>
                    <div class="input-control date-time" data-role="input-control">
                        <input k-options="MC.datePickerOptions2" kendo-date-picker ng-blur="MC.dateTimePickerClose($event)" ng-click="MC.dateTimePickerOpen($event)" data-role="datepicker" type="text" ng-model="Model._dueDate" />
                    </div>
                </div>
                <div class="one-half place-left">
                    <label>Amount</label>
                    <div class="input-control text price" data-sign="$" data-role="input-control">
                        <input type="text" ng-model="Model._amount" />
                    </div>
                </div>
                <button class="place-right" ng-click="addNewInstallment()">Add new installment</button>
            </div>
        </div>
    </div>

    <div ng-if="Model.PageStep == 'Review'">

        <div class="clearfix">

            <div class="clearfix"></div>
            <div class="place-left one-half">
                <h3 ng-if="">You're about to edit order</h3>
                <h3 ng-if="!hasTuition()">You're about to cancel order</h3>

            </div>
        </div>

        <table ng-if="!cancelMode()" class="table table-bordered margin-top20">
            <thead>
                <tr>
                    <td class="text-bold">Item</td>
                    <td class="text-bold">Amount</td>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="chargeDiscount in Model.OrderChargeDiscounts | filter: {Checked: true } | orderBy:sortByTuition">
                    <td>
                        <span ng-if="chargeDiscount.Category == 'EntryFee'">
                            {{Model.ProgramName}}
                        </span>
                        <span ng-if="chargeDiscount.Category != 'EntryFee'">
                            {{chargeDiscount.Name}}
                        </span>

                        <span ng-if="chargeDiscount.SubCategory == 'Discount' && chargeDiscount.Category != 'Coupon'" style="text-decoration: inherit;" class="label success">Discount</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Discount' &&  chargeDiscount.Category == 'Coupon'" style="text-decoration: inherit;" class="label success">Coupon</span>
                        <span ng-if="chargeDiscount.SubCategory == 'Charge' && chargeDiscount.Category != 'EntryFee'" style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td>
                        {{chargeDiscount.Amount.formatCurrencyWithPenny(2)}}
                    </td>

                </tr>

                <tr ng-if="Model.EditFee != null && Model.EditFee != 'undefined' && Model.EditFee > 0 ">
                    <td>
                        Edit fee
                        <span style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td class="lineup-amount-td">
                        {{Model.EditFee.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>
                <tr ng-if="Model.CancellationFee != null && Model.CancellationFee != 'undefined' && Model.CancellationFee > 0 ">
                    <td>
                        Cancellation fee
                        <span style="text-decoration: inherit;" class="label info">Service</span>
                    </td>
                    <td class="lineup-amount-td">
                        {{Model.CancellationFee.formatCurrencyWithPenny(2)}}
                    </td>
                </tr>

                @*<tr ng-if="Model.RefundFee != null && Model.RefundFee != 'undefined' && Model.RefundFee > 0 ">
            <td>
                Cancel/edit fee
                <span style="text-decoration: inherit;" class="label info">Service</span>
            </td>
            <td>
                {{Model.RefundFee.formatCurrencyWithPenny(2)}}
            </td>
        </tr>*@
            </tbody>
        </table>

        <div ng-if="hasInstallment() && !cancelMode()">
            <h4>Installments</h4>

            <table class="table table-bordered">
                <thead>
                    <tr>
                        <td class="text-bold" ng-if=" Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">Schedule date</td>
                        <td class="text-bold">Due date</td>
                        <td class="text-bold">Amount</td>
                        <td class="text-bold">Paid amount</td>
                        <td class="text-bold">Last paid date</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="installment in Model.OrderInstallments ">
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'" ng-class="{'line-through' : installment.WasDeleted || installment.IsDeletedSessions || installment.IsDeletedNormalItem}">
                            <span ng-show="installment.Type != 'AddOn'">{{formatDate(installment.Schedule.StartDate)}} - {{formatDate(installment.Schedule.EndDate)}} </span>
                            <span ng-show="installment.Type == 'AddOn'">{{installment.Description}}</span>
                        </td>
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'" ng-class="{'line-through' : installment.WasDeleted || installment.IsDeletedSubscriptionItem}">
                            {{formatDate(installment.DueDate)}}
                        </td>
                        <td ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'" ng-class="{'line-through' : installment.IsDeleted}">
                            {{formatDate(installment.DueDate)}} {{installment.Description}}
                        </td>
                        <td ng-if="Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare'">{{installment.Amount.formatCurrencyWithPenny(2)}}</td>
                        <td ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'" ng-class="{'line-through' : installment.WasDeleted || installment.IsDeletedSubscriptionItem}">{{installment.Amount.formatCurrencyWithPenny(2)}}</td>
                        <td>
                            <div ng-if="installment.HasTransaction">
                                {{installment.PaidAmount.formatCurrencyWithPenny(2)}}
                            </div>
                        </td>
                        <td>
                            {{installment.PaidDate}}
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>

        <div ng-if="Model.Mode !='PunchCard' && Model.PaymentPlanType == 'FullPaid' && Model.ProgramType == 'BeforeAfterCare'">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <td class="text-bold">Schedule date</td>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="schedulePart in Model.OrderItemScheduleParts">
                        <td ng-class="{'line-through' : schedulePart.WasDeleted || schedulePart.IsDeleted}">
                            <span>{{formatDate(schedulePart.StartDate)}} - {{formatDate(schedulePart.EndDate)}} </span>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>

        <div class="clearfix"></div>

        <div ng-if="Model.CancelEditMemo">
            <p class="margin-bottom20">
                Memo: {{Model.CancelEditMemo}}
            </p>
        </div>
        <div ng-if="(Model.ProgramType != 'Subscription' && Model.ProgramType != 'BeforeAfterCare') || Model.Mode =='PunchCard'" class="input-control block checkbox default-style place-left no-margin padding-right50" data-role="input-control">
            <label>
                <input ng-model="@Html.Ang(m => m.SendEmail)" name="sendEmail" ng-value="true" type="checkbox" />
                <span class="check"></span>
                Send confirmation email
            </label>
        </div>
    </div>

    <div class="clearfix"></div>
    <hr />
    <button ng-if="Model.PageStep != 'Review'" type="submit" ng-click="continue()" class="success large place-right">Continue</button>
    <button ng-if="Model.PageStep == 'Review'" type="submit" ng-click="edit()" class="success large place-right">Submit</button>
    <button ng-if="Model.PageStep == 'OrderDetail'" class="link large place-left" ng-click="back()">Cancel</button>
    <button ng-if="Model.PageStep != 'OrderDetail'" class="link large place-left" ng-click="back()">Back</button>
    <div class="clearfix"></div>
</div>